
Redmine - Feature #5115

Assignee & Target version issuelist filters: allow to specify multiple selections (e.g. x OR blank)

2010-03-18 07:54 - Kit Grose

Status: New Start date: 2010-03-18

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I'd love to be able to filter the issues list to any issues that are either:

assigned to myself or no one at all or

having a target version of 'next release' or has no target version assigned.

Currently I'm doing that by setting up filters such as "Assigned to" is not anyone else on the list. The problem with that is that the filter

slowly gets less and less useful as new users are added to the system.

Related issues:

Related to Redmine - Patch #5535: Assigned to issuelist filter: added <nobody... New 2010-05-16

Related to Redmine - Feature #3868: Start- & Due date issuelist filters: allo... New 2009-09-15

Has duplicate Redmine - Feature #8320: Add "Assigne is / is not <<none>>" int... Closed 2011-05-09

History

#1 - 2010-03-20 18:45 - Jean-Philippe Lang

Did you try to select 'none' in the filter type list? (eg. Target version: none)

#2 - 2010-03-22 04:04 - Kit Grose

I did, and that does half of what I need:

I'm trying to show an issues list that contains all issues either assigned explicitly to me or not assigned to anyone. If "none" was moved from the

"is"/"is not" drop-down menu and instead put atop the next list (perhaps shown similarly to the << me >> item), so I could have a multiple selection

that contains either << none >> or << me >>.

#3 - 2010-07-15 13:12 - Nikolay Kotlyarov

+1

related issue with patch: #5535

#4 - 2011-11-24 05:41 - Mischa The Evil

- Status changed from New to Closed

<faulty journal content scrubbed>

#5 - 2011-11-24 05:45 - Mischa The Evil

- Status changed from Closed to Reopened

Previous journal was created automatically during closing of #3600 due to the issue-relation. It does not apply to this issue.

#6 - 2011-11-24 21:08 - Mischa The Evil

- Subject changed from Allow Issues filters to match empty records (e.g. Assigned To/Target Version = blank) to Assignee & Target version issuelist

filters: allow to specify multiple selections (e.g. x OR blank)

- Status changed from Reopened to Resolved

I believe this issue deals with having a possibility of having multiple selections for assignee & target version issuelist filters, for example including a

'blank' value.
I'll adjust the issue-subject and "fix" the issue-relations accordingly.

Note: status-change is necessary to put the issue in the (correct) new status again after the previous incorrect closure.

#7 - 2011-11-24 21:09 - Mischa The Evil

- Status changed from Resolved to New

#8 - 2013-01-10 11:09 - Fred Giusto

+1

Good feature

2 possibilities :

1. add <<nobody>> in list, so we will able to select <<nobody>> and someone

2. add a logic operator list with 'AND' 'OR'

Patch on #5535 is obsolete with 2.2

#9 - 2016-01-26 02:53 - Hadrien Huvelle

+1

#10 - 2016-02-20 10:30 - Toshi MARUYAMA

- Category changed from Issues to Issues filter
